import {requestInstance} from "@/service";

export function getLabelRuleHomeTableData(params) {
 return requestInstance({
  url:'/DataLabel/queryConfigRules',
  data:{
   ...params
  }
 })
}
export function getLabelRuleDetailTableData(params) {
 return requestInstance({
  url:'/DataLabel/queryLabelConfigRulesInfoByCid',
  data:{
   ...params
  }
 })
}
export function getLabelRuleDetailTreeData() {
  return requestInstance({
   url:'/DataLabel/queryLabelBasicRulesList',
   data:{
    "PAGEINDEX":"1",
    "PAGESIZE":"100000",
    "LABEL_NAME": '',
    "PARENT_LABEL_ID": '',
    "LABEL_LEVEL": '',
   }
  })
}
export function addLabelRule(params) {
 return requestInstance({
  url:'/DataLabel/addLabelConfigRules',
  data:{
   ...params
  }
 })
}
export function editLabelRuleD(params) {
 return requestInstance({
  url:'/DataLabel/updateLabelConfigRules',
  data:{
   ...params
  }
 })
}

export function delLabelRuleData(LABEL_CONFIG_ID) {
 return requestInstance({
  url:'/DataLabel/delLabelConfigRules',
  data:{
   LABEL_CONFIG_ID
  }
 })
}

